javascript update Error de nodo npm en windows buscando versión de herramientas




update npm version (4)

Como la mayoría de las respuestas aquí son de 2015, pensé que proporcioné una guía nueva.

Las herramientas de compilación de MS se pueden instalar sin instalar Visual Studio. El siguiente enlace [Ver el paso 3] muestra cómo instalar "Visual Studio Installer". Puede usarlo para instalar las herramientas de compilación de MS necesarias.

https://docs.microsoft.com/en-us/visualstudio/install/install-visual-studio#step-3---

A continuación se muestra una captura de pantalla de las cargas de trabajo que instalé.

PD: puede que necesites reiniciar tu maquina

Estoy tratando de usar el nodo y cuando voy a instalar los paquetes npm a través de 'npm install package.json'
Actualmente estoy usando Windows 8.1 como mi sistema operativo. Comenzó cuando comencé a usar redis, pero no estoy seguro de si es debido a redis. El error que recibo es

MSBUILD: error MSB4132: La versión de herramientas "2.0" no se reconoce. Las versiones de herramientas disponibles son "4.0".

La impresión completa de la consola está here

Si alguien se ha encontrado con este error y cómo solucionarlo sería muy apreciado.








windows-8.1